Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005820 [JEDI VCL] 00 JVCL Components minor always 2012-03-02 19:31 2012-09-10 14:15
Reporter Zod View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.45
Summary 0005820: EAccessViolation in TJvCaptionButton.WndProcAfter
Description if the parent form is NOT a TCustomForm the WndProcAfter procedure
produces an EAcessViolation when the message WM_SIZE is
processed. This happens by calling ParentForm with an result nil.

Proposed change:
    WM_SIZE:
      begin
        if (ParentForm <> nil)
            and
            (FCurrentWindowState <> ParentForm.WindowState) then
        begin
Additional Information recognized by having a TTBTToolWindow (Toolbar2000) as parent of the form.
Tags No tags attached.
Attached Files

- Relationships
has duplicate 0005843resolvedobones if the parent form is NOT a TCustomForm the function GetParentForm produces an EAcessViolation 

There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2012-03-02 19:31 Zod New Issue
2012-06-11 17:17 obones Status new => resolved
2012-06-11 17:17 obones Resolution open => fixed
2012-06-11 17:17 obones Assigned To => obones
2012-06-11 17:17 obones Fixed in Version => Daily / SVN
2012-06-11 17:24 obones Relationship added has duplicate 0005843
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker